Page MenuHomePhabricator

Move Wikidata-related extensions to make use of PSR-4 autoloading (except Wikibase)
Closed, ResolvedPublic

Description

With T173799 in place this should be rather straightforward, except maybe for Wikibase itself which is not using extension.json, and actually contains of several "extensions" in it.

  • ArticlePlaceholder
  • Wikibase - Wikibase is not ready yet.
  • WikibaseQuality
  • WikibaseQualityConstraints
  • WikibaseMediaInfo
  • WikibaseLexeme
  • PropertySuggester
  • Wikidata.org
  • WikimediaBadges

Event Timeline

WMDE-leszek triaged this task as Medium priority.Dec 19 2017, 3:09 PM
WMDE-leszek created this task.
Ladsgroup updated the task description. (Show Details)Dec 19 2017, 6:31 PM

Change 399239 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/PropertySuggester@master] Make the extension fully comply with PSR-4, use proper autoloader

https://gerrit.wikimedia.org/r/399239

WMDE-leszek moved this task from Review to In Progress on the Wikidata-Sprint-2017-12-20 board.
WMDE-leszek removed a project: Patch-For-Review.

Change 399353 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikimediaBadges@master] Use PSR-4 autloader from MediaWiki

https://gerrit.wikimedia.org/r/399353

WMDE-leszek updated the task description. (Show Details)Dec 20 2017, 8:26 AM

Change 399239 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Make the extension fully comply with PSR-4, use proper autoloader

https://gerrit.wikimedia.org/r/399239

Wikidata.org does not require any change, or does it?

WMDE-leszek updated the task description. (Show Details)Dec 20 2017, 8:32 AM

Change 399353 merged by jenkins-bot:
[mediawiki/extensions/WikimediaBadges@master] Use PSR-4 autloader from MediaWiki

https://gerrit.wikimedia.org/r/399353

As pointed out by @Legoktm in https://gerrit.wikimedia.org/r/#/c/398010, Wikibase cannot be made use MW PSR-4 autoloading until it has been changed to use extension.json file(s). I will split this part out, to have this task resolved in the reasonable time.

Change 399370 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikidata.org@master] Use PSR-4 autloader from MediaWiki

https://gerrit.wikimedia.org/r/399370

Change 399370 merged by jenkins-bot:
[mediawiki/extensions/Wikidata.org@master] Use PSR-4 autloader from MediaWiki

https://gerrit.wikimedia.org/r/399370

Change 399379 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/PropertySuggester@master] Remove repetitions of the extensions name from directories & classes

https://gerrit.wikimedia.org/r/399379

WMDE-leszek removed WMDE-leszek as the assignee of this task.Dec 20 2017, 11:28 AM
WMDE-leszek removed a project: Patch-For-Review.
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek moved this task from In Progress to Done on the Wikidata-Sprint-2017-12-20 board.
WMDE-leszek renamed this task from Move Wikidata-related extensions to make use of PSR-4 autoloading to Move Wikidata-related extensions to make use of PSR-4 autoloading (except Wikibase).Dec 20 2017, 12:02 PM

Change 399379 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Remove repetitions of the extensions name from directories & classes

https://gerrit.wikimedia.org/r/399379

WMDE-leszek closed this task as Resolved.Jan 2 2018, 2:43 PM